name: krow
description: "A new Flutter project."
publish_to: 'none'

version: 1.0.28+111

environment:
  sdk: ^3.8.0

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.8
  injectable: ^2.5.0
  get_it: ^8.0.3
  dio: ^5.8.0+1
  auto_route: ^10.0.1
  flutter_gen: ^5.10.0
  gap: ^3.0.1
  flutter_svg: ^2.0.17
  carousel_slider: ^5.0.0
  firebase_core: ^3.13.0
  firebase_auth: ^5.5.2
  flutter_bloc: ^9.1.0
  url_launcher: ^6.3.1
  whatsapp_unilink: ^2.1.0
  image_picker: ^1.1.2
  # custom_pop_up_menu: ^1.2.4
  calendar_date_picker2: ^2.0.0
  intl: ^0.20.2
  pinput: ^5.0.1
  graphql_flutter: ^5.1.2
  graphql: ^5.1.3
  hive: ^2.2.3
  shared_preferences: ^2.5.2
  json_annotation: ^4.9.0
  cached_network_image: ^3.4.1
  google_maps_flutter: ^2.12.0
  qr_code_scanner_plus: ^2.0.10+1
  freezed_annotation: ^2.4.4
  modal_progress_hud_nsn: ^0.5.1
  flutter_dotenv: ^5.2.1
  fl_chart: ^0.70.2
  map_launcher: ^3.5.0
  syncfusion_flutter_signaturepad: ^29.1.33
  flutter_xlider: ^3.5.0
  http: ^1.3.0
  http_parser: ^4.1.2
  rxdart: ^0.28.0
  path_provider: ^2.1.5
  collection: ^1.19.0
  equatable: ^2.0.7
  flutter_launcher_icons: ^0.14.3
  geolocator: ^13.0.3
  app_links: ^6.4.0
  firebase_messaging: ^15.2.5
  flutter_background_service: ^5.1.0
  permission_handler: ^12.0.0
  easy_localization: ^3.0.7+1
  workmanager:
    git:
      url: https://github.com/fluttercommunity/flutter_workmanager.git
      path: workmanager
      ref: main

  firebase_remote_config: ^5.4.3
  package_info_plus: ^8.3.0

dependency_overrides:
  intl: ^0.20.2



dev_dependencies:
  flutter_test:
    sdk: flutter
  injectable_generator: ^2.7.0
  auto_route_generator: ^10.0.1
  build_runner: ^2.4.15
  flutter_gen_runner: ^5.10.0
  flutter_lints: ^5.0.0
  json_serializable: ^6.9.4
  freezed: ^2.5.7

flutter:
  uses-material-design: true
  assets:
    - .env
    - .env_dev
    - assets/localization/
    - assets/fonts/
    - assets/images/
    - assets/images/icons/check_box/
    - assets/images/slider/
    - assets/images/waiting_validation/
    - assets/images/app_bar/
    - assets/images/icons/navigation/
    - assets/images/icons/rating_star/
    - assets/images/user_profile/
    - assets/images/user_profile/menu/
    - assets/images/icons/
    - assets/images/support/

  fonts:
    - family: Poppins
      fonts:
        - asset: assets/fonts/poppins/Poppins-Regular.ttf
        - asset: assets/fonts/poppins/Poppins-Medium.ttf
        - asset: assets/fonts/poppins/Poppins-Bold.ttf
        - asset: assets/fonts/poppins/Poppins-SemiBold.ttf
        - asset: assets/fonts/poppins/Poppins-Light.ttf
        - asset: assets/fonts/poppins/Poppins-ExtraLight.ttf
        - asset: assets/fonts/poppins/Poppins-ExtraBold.ttf
        - asset: assets/fonts/poppins/Poppins-Thin.ttf
        - asset: assets/fonts/poppins/Poppins-Black.ttf
        - asset: assets/fonts/poppins/Poppins-Italic.ttf
        - asset: assets/fonts/poppins/Poppins-LightItalic.ttf
        - asset: assets/fonts/poppins/Poppins-MediumItalic.ttf
        - asset: assets/fonts/poppins/Poppins-BoldItalic.ttf
        - asset: assets/fonts/poppins/Poppins-SemiBoldItalic.ttf
        - asset: assets/fonts/poppins/Poppins-ExtraLightItalic.ttf
        - asset: assets/fonts/poppins/Poppins-ExtraBoldItalic.ttf
        - asset: assets/fonts/poppins/Poppins-ThinItalic.ttf
        - asset: assets/fonts/poppins/Poppins-BlackItalic.ttf

flutter_gen:
  output: lib/core/presentation/gen/
  integrations:
    flutter_svg: true

flutter_launcher_icons:
  android: "ic_launcher"
  ios: true
  image_path: "assets/favicon.png"
  image_path_ios: "assets/favicon.png"
  min_sdk_android: 21
  remove_alpha_ios: true
